SUSE-SU-2022:2004-1: important: Security update for go1.17

SUSE Security Update: Security update for go1.17 ______________________________________________________________________________ Announcement ID: SUSE-SU-2022:2004-1 Rating: important References: #1190649 #1200134 #1200135 #1200136 #1200137 Cross-References: CVE-2022-29804 CVE-2022-30580 CVE-2022-30629 CVE-2022-30634 Affected Products: SUSE Linux Enterprise Desktop 15-SP3 SUSE Linux Enterprise Desktop 15-SP4 SUSE Linux Enterprise High Performance Computing 15-SP3 SUSE Linux Enterprise High Performance Computing 15-SP4 SUSE Linux Enterprise Module for Development Tools 15-SP3 SUSE Linux Enterprise Module for Development Tools 15-SP4 SUSE Linux Enterprise Server 15-SP3 SUSE Linux Enterprise Server 15-SP4 SUSE Linux Enterprise Server for SAP Applications 15-SP3 SUSE Linux Enterprise Server for SAP Applications 15-SP4 SUSE Manager Proxy 4.2 SUSE Manager Server 4.2 openSUSE Leap 15.3 openSUSE Leap 15.4 ______________________________________________________________________________ An update that solves four vulnerabilities and has one errata is now available. Description: This update for go1.17 fixes the following issues: Update to go1.17.11 (released 2022-06-01) (bsc#1190649): - CVE-2022-30634: Fixed crypto/rand rand.Read hangs with extremely large buffers (bsc#1200134). - CVE-2022-30629: Fixed crypto/tls session tickets lack random ticket_age_add (bsc#1200135). - CVE-2022-29804: Fixed path/filepath Clean(.\c:) returns c: on Windows (bsc#1200137). - CVE-2022-30580: Fixed os/exec empty Cmd.Path can result in running unintended binary on Windows (bsc#1200136). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”. Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-2004=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-2004=1 - SUSE Linux Enterprise Module for Development Tools 15-SP4: zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP4-2022-2004=1 - SUSE Linux Enterprise Module for Development Tools 15-SP3: zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP3-2022-2004=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): go1.17-1.17.11-150000.1.37.1 go1.17-doc-1.17.11-150000.1.37.1 - openSUSE Leap 15.4 (aarch64 x86_64): go1.17-race-1.17.11-150000.1.37.1 - openSUSE Leap 15.3 (aarch64 i586 ppc64le s390x x86_64): go1.17-1.17.11-150000.1.37.1 go1.17-doc-1.17.11-150000.1.37.1 - openSUSE Leap 15.3 (aarch64 x86_64): go1.17-race-1.17.11-150000.1.37.1 - SUSE Linux Enterprise Module for Development Tools 15-SP4 (aarch64 ppc64le s390x x86_64): go1.17-1.17.11-150000.1.37.1 go1.17-doc-1.17.11-150000.1.37.1 - SUSE Linux Enterprise Module for Development Tools 15-SP4 (aarch64 x86_64): go1.17-race-1.17.11-150000.1.37.1 - SUSE Linux Enterprise Module for Development Tools 15-SP3 (aarch64 ppc64le s390x x86_64): go1.17-1.17.11-150000.1.37.1 go1.17-doc-1.17.11-150000.1.37.1 - SUSE Linux Enterprise Module for Development Tools 15-SP3 (aarch64 x86_64): go1.17-race-1.17.11-150000.1.37.1 References: https://www.suse.com/security/cve/CVE-2022-29804.html https://www.suse.com/security/cve/CVE-2022-30580.html https://www.suse.com/security/cve/CVE-2022-30629.html https://www.suse.com/security/cve/CVE-2022-30634.html https://bugzilla.suse.com/1190649 https://bugzilla.suse.com/1200134 https://bugzilla.suse.com/1200135 https://bugzilla.suse.com/1200136 https://bugzilla.suse.com/1200137

More…